Skip to main content
PATCH
/
servers
/
{guild_id}
/
config
/
settings
PATCH /servers/{guild_id}/config/settings
curl --request PATCH \
  --url https://quark.bot/api/servers/{guild_id}/config/settings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "locale": "<string>",
  "analytics": true
}
'

Documentation Index

Fetch the complete documentation index at: https://docs.quark.bot/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

guild_id
string
required

The guild_id.

Body

application/json
locale
string

The locale for the server settings.

analytics
boolean

Whether analytics are enabled for the server.

Response

200

Successful response